Summary:	oclock application - round X clock
Summary(pl.UTF-8):	Aplikacja oclock - okrągły zegar dla X
Name:		xorg-app-oclock
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/oclock-%{version}.tar.xz
# Source0-md5:	d8183a4c5a53841760923a3e818cf248
Source1:	oclock.desktop
Source2:	oclock.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oclock simply displays the current time on an analog display.

%description -l pl.UTF-8
oclock po prostu wyświetla aktualny czas na analogowym wyświetlaczu.

%prep
%setup -q -n oclock-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/oclock.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/oclock.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/oclock
%{_datadir}/X11/app-defaults/Clock-color
%{_desktopdir}/oclock.desktop
%{_pixmapsdir}/oclock.png
%{_mandir}/man1/oclock.1*
%changelog
* Thu Dec 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-oclock.git;a=log;h=master

* Thu Dec 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 4aacb12
- updated to 1.0.6

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 55f9b03
- updated to 1.0.5

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 02df106
- updated to 1.0.4

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 12b4a31
- fix files
- rel 2

* Sat Feb 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 5338c16
- BR: libxkbfile-devel

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4da55a9
- up to 1.0.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 4a1cac4
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> b2aad9d
- updated to 1.0.2

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b2981dd
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 4e42c27
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 632c1bd
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 39ee26b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e687886
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> d64a225
- use individual dir, more verbose files, release 1

* Tue Feb 07 2006 Jakub Bogusz <qboosh@pld-linux.org> a37abfa
- merged oclock.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 4d5f9ff
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 41adc5e
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> ec51b4b
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 969a9c5
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 0d5f40f
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

